> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 지갑 - 손익 요약

> 지갑의 집계된 손익 요약 조회

<Note>
  지갑의 손익 요약을 가져옵니다. 모든 토큰 포지션의 실현 및 미실현 PnL을 표시합니다.
</Note>

**관련**: [GraphQL 지갑 PnL](/ko/graphql/examples/balance-holders) | MCP: `wallet_get_pnl`


## OpenAPI

````yaml /ko/api-reference/openapi-data-ko.yaml GET /v2/wallet/{chain}/{walletAddress}/pnl
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 블록체인 관련 작업
  - name: Token
    description: 토큰 관련 작업
  - name: Trade
    description: 거래 관련 작업
  - name: Wallet
    description: 지갑 관련 작업
  - name: Dex
    description: DEX 관련 작업
  - name: Ranking
    description: 랭킹 관련 작업
  - name: DexPool
    description: DEX 풀 관련 작업
  - name: Watchlist
    description: 워치리스트 관련 작업
  - name: KYT
    description: KYT 관련 작업
  - name: Webhook
    description: Webhook 관련 작업
  - name: RedPacket
    description: 레드패킷 관련 작업
  - name: IPFS
    description: IPFS 관련 작업
  - name: DexScreener
    description: DexScreener 관련 작업
paths:
  /v2/wallet/{chain}/{walletAddress}/pnl:
    get:
      tags:
        - Wallet
      summary: 지갑 - PnL 요약
      description: 지갑의 집계된 손익 요약 조회
      operationId: get.pnl
      parameters:
        - name: chain
          in: path
          description: 지원되는 네트워크에 나열된 체인 이름
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddress
          in: path
          description: 지갑 주소
          required: true
          schema:
            type: string
          example: 54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy
        - name: resolution
          in: query
          description: PnL 기간 해상도 (1d, 7d, 30d, 또는 all)
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/PnlResolution'
            default: 1d
          example: 1d
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletPnlSummary'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    PnlResolution:
      type: string
      description: PnL resolution period
      enum:
        - 1d
        - 7d
        - 30d
        - all
    WalletPnlSummary:
      type: object
      description: Wallet PnL Summary (aggregated across all tokens for a given resolution)
      required:
        - walletAddress
        - resolution
        - tokens
        - buys
        - sells
        - totalTrades
        - wins
        - losses
        - winRate
        - buyAmountInUsd
        - sellAmountInUsd
        - totalCostInUsd
        - realizedProfitInUsd
        - realizedProfitRatio
        - unrealizedProfitInUsd
        - unrealizedProfitRatio
        - totalProfitInUsd
        - totalProfitRatio
        - avgProfitPerTradeInUsd
      properties:
        avgProfitPerTradeInUsd:
          type: string
          description: USD 기준 거래당 평균 수익
          example: '402.86'
        buyAmountInUsd:
          type: string
          description: USD 기준 총 매수 금액
          example: '101371192.39'
        buys:
          type: string
          description: 총 매수 거래 건수
          example: '1515999'
        losses:
          type: string
          description: 손실 거래 건수
          example: '348350'
        realizedProfitInUsd:
          type: string
          description: USD 기준 실현 수익
          example: '802583.91'
        realizedProfitRatio:
          type: string
          description: 실현 수익률
          example: '0.0035521324'
        resolution:
          type: string
          description: PnL 기간 해상도
          example: 1d
        sellAmountInUsd:
          type: string
          description: USD 기준 총 매도 금액
          example: '60369621.10'
        sells:
          type: string
          description: 총 매도 거래 건수
          example: '1011994'
        tokens:
          type: string
          description: 총 거래 토큰 수
          example: '15126'
        totalCostInUsd:
          type: string
          description: USD 기준 총 비용 기반
          example: '225944253.64'
        totalProfitInUsd:
          type: string
          description: USD 기준 총 수익 (실현 + 미실현)
          example: '1018427683.08'
        totalProfitRatio:
          type: string
          description: 총 수익률
          example: '4.5074290081'
        totalTrades:
          type: string
          description: 총 거래 건수
          example: '2527993'
        unrealizedProfitInUsd:
          type: string
          description: USD 기준 미실현 수익
          example: '1017625099.17'
        unrealizedProfitRatio:
          type: string
          description: 미실현 수익률
          example: '4.5038768756'
        updatedAt:
          type:
            - string
            - 'null'
          description: 마지막 업데이트 타임스탬프
          example: '2026-02-04T11:42:50.000Z'
        walletAddress:
          type: string
          description: 지갑 주소
          example: 54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy
        winRate:
          type: string
          description: 총 거래 대비 수익 거래 비율
          example: '0.5575'
        wins:
          type: string
          description: 수익 거래 건수
          example: '438944'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````